diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/sqlite-data-output.cc ns-3.44/src/stats/model/sqlite-data-output.cc
--- ns-3.43/src/stats/model/sqlite-data-output.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/sqlite-data-output.cc	2025-03-09 16:55:49.699372300 -0700
@@ -90,9 +90,9 @@
     res = m_sqliteOut->Bind(stmt, 5, description);
     NS_ASSERT(res);
 
-    res = m_sqliteOut->SpinStep(stmt);
+    res = SQLiteOutput::SpinStep(stmt);
     NS_ASSERT(res);
-    res = m_sqliteOut->SpinFinalize(stmt);
+    res = SQLiteOutput::SpinFinalize(stmt);
     NS_ASSERT(res == 0);
 
     res = m_sqliteOut->WaitExec("CREATE TABLE IF NOT EXISTS "
@@ -107,15 +107,15 @@
 
     for (auto i = dc.MetadataBegin(); i != dc.MetadataEnd(); i++)
     {
-        std::pair<std::string, std::string> blob = (*i);
-        m_sqliteOut->SpinReset(stmt);
+        const auto& blob = (*i);
+        SQLiteOutput::SpinReset(stmt);
         m_sqliteOut->Bind(stmt, 1, run);
         m_sqliteOut->Bind(stmt, 2, blob.first);
         m_sqliteOut->Bind(stmt, 3, blob.second);
-        m_sqliteOut->SpinStep(stmt);
+        SQLiteOutput::SpinStep(stmt);
     }
 
-    m_sqliteOut->SpinFinalize(stmt);
+    SQLiteOutput::SpinFinalize(stmt);
 
     m_sqliteOut->SpinExec("BEGIN");
     SqliteOutputCallback callback(m_sqliteOut, run);
@@ -147,7 +147,7 @@
 
 SqliteDataOutput::SqliteOutputCallback::~SqliteOutputCallback()
 {
-    m_db->SpinFinalize(m_insertSingletonStatement);
+    SQLiteOutput::SpinFinalize(m_insertSingletonStatement);
 }
 
 void
@@ -158,23 +158,23 @@
     NS_LOG_FUNCTION(this << key << variable << statSum);
 
     OutputSingleton(key, variable + "-count", static_cast<double>(statSum->getCount()));
-    if (!isNaN(statSum->getSum()))
+    if (!std::isnan(statSum->getSum()))
     {
         OutputSingleton(key, variable + "-total", statSum->getSum());
     }
-    if (!isNaN(statSum->getMax()))
+    if (!std::isnan(statSum->getMax()))
     {
         OutputSingleton(key, variable + "-max", statSum->getMax());
     }
-    if (!isNaN(statSum->getMin()))
+    if (!std::isnan(statSum->getMin()))
     {
         OutputSingleton(key, variable + "-min", statSum->getMin());
     }
-    if (!isNaN(statSum->getSqrSum()))
+    if (!std::isnan(statSum->getSqrSum()))
     {
         OutputSingleton(key, variable + "-sqrsum", statSum->getSqrSum());
     }
-    if (!isNaN(statSum->getStddev()))
+    if (!std::isnan(statSum->getStddev()))
     {
         OutputSingleton(key, variable + "-stddev", statSum->getStddev());
     }
@@ -187,11 +187,11 @@
 {
     NS_LOG_FUNCTION(this << key << variable << val);
 
-    m_db->SpinReset(m_insertSingletonStatement);
+    SQLiteOutput::SpinReset(m_insertSingletonStatement);
     m_db->Bind(m_insertSingletonStatement, 2, key);
     m_db->Bind(m_insertSingletonStatement, 3, variable);
     m_db->Bind(m_insertSingletonStatement, 4, val);
-    m_db->SpinStep(m_insertSingletonStatement);
+    SQLiteOutput::SpinStep(m_insertSingletonStatement);
 }
 
 void
@@ -201,11 +201,11 @@
 {
     NS_LOG_FUNCTION(this << key << variable << val);
 
-    m_db->SpinReset(m_insertSingletonStatement);
+    SQLiteOutput::SpinReset(m_insertSingletonStatement);
     m_db->Bind(m_insertSingletonStatement, 2, key);
     m_db->Bind(m_insertSingletonStatement, 3, variable);
     m_db->Bind(m_insertSingletonStatement, 4, val);
-    m_db->SpinStep(m_insertSingletonStatement);
+    SQLiteOutput::SpinStep(m_insertSingletonStatement);
 }
 
 void
@@ -215,11 +215,11 @@
 {
     NS_LOG_FUNCTION(this << key << variable << val);
 
-    m_db->SpinReset(m_insertSingletonStatement);
+    SQLiteOutput::SpinReset(m_insertSingletonStatement);
     m_db->Bind(m_insertSingletonStatement, 2, key);
     m_db->Bind(m_insertSingletonStatement, 3, variable);
     m_db->Bind(m_insertSingletonStatement, 4, val);
-    m_db->SpinStep(m_insertSingletonStatement);
+    SQLiteOutput::SpinStep(m_insertSingletonStatement);
 }
 
 void
@@ -229,11 +229,11 @@
 {
     NS_LOG_FUNCTION(this << key << variable << val);
 
-    m_db->SpinReset(m_insertSingletonStatement);
+    SQLiteOutput::SpinReset(m_insertSingletonStatement);
     m_db->Bind(m_insertSingletonStatement, 2, key);
     m_db->Bind(m_insertSingletonStatement, 3, variable);
     m_db->Bind(m_insertSingletonStatement, 4, val);
-    m_db->SpinStep(m_insertSingletonStatement);
+    SQLiteOutput::SpinStep(m_insertSingletonStatement);
 }
 
 void
@@ -243,11 +243,11 @@
 {
     NS_LOG_FUNCTION(this << key << variable << val);
 
-    m_db->SpinReset(m_insertSingletonStatement);
+    SQLiteOutput::SpinReset(m_insertSingletonStatement);
     m_db->Bind(m_insertSingletonStatement, 2, key);
     m_db->Bind(m_insertSingletonStatement, 3, variable);
     m_db->Bind(m_insertSingletonStatement, 4, val.GetTimeStep());
-    m_db->SpinStep(m_insertSingletonStatement);
+    SQLiteOutput::SpinStep(m_insertSingletonStatement);
 }
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/sqlite-data-output.h ns-3.44/src/stats/model/sqlite-data-output.h
--- ns-3.43/src/stats/model/sqlite-data-output.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/sqlite-data-output.h	2025-03-09 16:55:49.699372300 -0700
@@ -23,9 +23,9 @@
 //------------------------------------------------------------
 //--------------------------------------------
 /**
- * \ingroup dataoutput
- * \class SqliteDataOutput
- * \brief Outputs data in a format compatible with SQLite
+ * @ingroup dataoutput
+ * @class SqliteDataOutput
+ * @brief Outputs data in a format compatible with SQLite
  */
 class SqliteDataOutput : public DataOutputInterface
 {
@@ -35,7 +35,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -43,17 +43,17 @@
 
   private:
     /**
-     * \ingroup dataoutput
+     * @ingroup dataoutput
      *
-     * \brief Class to generate OMNeT output
+     * @brief Class to generate OMNeT output
      */
     class SqliteOutputCallback : public DataOutputCallback
     {
       public:
         /**
          * Constructor
-         * \param db pointer to the instance this object belongs to
-         * \param run experiment descriptor
+         * @param db pointer to the instance this object belongs to
+         * @param run experiment descriptor
          */
         SqliteOutputCallback(const Ptr<SQLiteOutput>& db, std::string run);
 
@@ -63,52 +63,52 @@
         ~SqliteOutputCallback() override;
 
         /**
-         * \brief Generates data statistics
-         * \param key the SQL key to use
-         * \param variable the variable name
-         * \param statSum the stats to print
+         * @brief Generates data statistics
+         * @param key the SQL key to use
+         * @param variable the variable name
+         * @param statSum the stats to print
          */
         void OutputStatistic(std::string key,
                              std::string variable,
                              const StatisticalSummary* statSum) override;
 
         /**
-         * \brief Generates a single data output
-         * \param key the SQL key to use
-         * \param variable the variable name
-         * \param val the value
+         * @brief Generates a single data output
+         * @param key the SQL key to use
+         * @param variable the variable name
+         * @param val the value
          */
         void OutputSingleton(std::string key, std::string variable, int val) override;
 
         /**
-         * \brief Generates a single data output
-         * \param key the SQL key to use
-         * \param variable the variable name
-         * \param val the value
+         * @brief Generates a single data output
+         * @param key the SQL key to use
+         * @param variable the variable name
+         * @param val the value
          */
         void OutputSingleton(std::string key, std::string variable, uint32_t val) override;
 
         /**
-         * \brief Generates a single data output
-         * \param key the SQL key to use
-         * \param variable the variable name
-         * \param val the value
+         * @brief Generates a single data output
+         * @param key the SQL key to use
+         * @param variable the variable name
+         * @param val the value
          */
         void OutputSingleton(std::string key, std::string variable, double val) override;
 
         /**
-         * \brief Generates a single data output
-         * \param key the SQL key to use
-         * \param variable the variable name
-         * \param val the value
+         * @brief Generates a single data output
+         * @param key the SQL key to use
+         * @param variable the variable name
+         * @param val the value
          */
         void OutputSingleton(std::string key, std::string variable, std::string val) override;
 
         /**
-         * \brief Generates a single data output
-         * \param key the SQL key to use
-         * \param variable the variable name
-         * \param val the value
+         * @brief Generates a single data output
+         * @param key the SQL key to use
+         * @param variable the variable name
+         * @param val the value
          */
         void OutputSingleton(std::string key, std::string variable, Time val) override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/sqlite-output.cc ns-3.44/src/stats/model/sqlite-output.cc
--- ns-3.43/src/stats/model/sqlite-output.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/sqlite-output.cc	2025-03-09 16:55:49.703372200 -0700
@@ -84,7 +84,7 @@
     NS_FATAL_ERROR("Can't call generic fn");
 }
 
-/// \copydoc SQLiteOutput::RetrieveColumn
+/// @copydoc SQLiteOutput::RetrieveColumn
 template <>
 int
 SQLiteOutput::RetrieveColumn(sqlite3_stmt* stmt, int pos) const
@@ -92,7 +92,7 @@
     return sqlite3_column_int(stmt, pos);
 }
 
-/// \copydoc SQLiteOutput::RetrieveColumn
+/// @copydoc SQLiteOutput::RetrieveColumn
 template <>
 uint32_t
 SQLiteOutput::RetrieveColumn(sqlite3_stmt* stmt, int pos) const
@@ -100,7 +100,7 @@
     return static_cast<uint32_t>(sqlite3_column_int(stmt, pos));
 }
 
-/// \copydoc SQLiteOutput::RetrieveColumn
+/// @copydoc SQLiteOutput::RetrieveColumn
 template <>
 double
 SQLiteOutput::RetrieveColumn(sqlite3_stmt* stmt, int pos) const
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/sqlite-output.h ns-3.44/src/stats/model/sqlite-output.h
--- ns-3.43/src/stats/model/sqlite-output.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/sqlite-output.h	2025-03-09 16:55:49.703372200 -0700
@@ -17,9 +17,9 @@
 {
 
 /**
- * \ingroup stats
+ * @ingroup stats
  *
- * \brief A C++ interface towards an SQLITE database
+ * @brief A C++ interface towards an SQLITE database
  *
  * The class is able to execute commands, and retrieve results, from an SQLITE
  * database. The methods with the "Spin" prefix, in case of concurrent access
@@ -36,8 +36,8 @@
 {
   public:
     /**
-     * \brief SQLiteOutput constructor
-     * \param name database name
+     * @brief SQLiteOutput constructor
+     * @param name database name
      */
     SQLiteOutput(const std::string& name);
 
@@ -47,171 +47,171 @@
     ~SQLiteOutput();
 
     /**
-     * \brief Instruct SQLite to store the journal in memory. May lead to data losses
+     * @brief Instruct SQLite to store the journal in memory. May lead to data losses
      * in case of unexpected program exits.
      */
     void SetJournalInMemory();
 
     /**
-     * \brief Execute a command until the return value is OK or an ERROR
+     * @brief Execute a command until the return value is OK or an ERROR
      *
      * Ignore errors due to concurrency, the method will repeat the command instead
      *
-     * \param cmd Command
-     * \return true in case of success
+     * @param cmd Command
+     * @return true in case of success
      */
     bool SpinExec(const std::string& cmd) const;
 
     /**
-     * \brief Execute a command until the return value is OK or an ERROR
-     * \param stmt SQLite statement
-     * \return true in case of success
+     * @brief Execute a command until the return value is OK or an ERROR
+     * @param stmt SQLite statement
+     * @return true in case of success
      */
     bool SpinExec(sqlite3_stmt* stmt) const;
 
     /**
-     * \brief Execute a command, waiting on a mutex
-     * \param cmd Command to be executed
-     * \return true in case of success
+     * @brief Execute a command, waiting on a mutex
+     * @param cmd Command to be executed
+     * @return true in case of success
      */
     bool WaitExec(const std::string& cmd) const;
 
     /**
-     * \brief Execute a command, waiting on a mutex
-     * \param stmt Sqlite3 statement to be executed
-     * \return true in case of success
+     * @brief Execute a command, waiting on a mutex
+     * @param stmt Sqlite3 statement to be executed
+     * @return true in case of success
      */
     bool WaitExec(sqlite3_stmt* stmt) const;
 
     /**
-     * \brief Prepare a statement, waiting on a mutex
-     * \param stmt Sqlite statement
-     * \param cmd Command to prepare inside the statement
-     * \return true in case of success
+     * @brief Prepare a statement, waiting on a mutex
+     * @param stmt Sqlite statement
+     * @param cmd Command to prepare inside the statement
+     * @return true in case of success
      */
     bool WaitPrepare(sqlite3_stmt** stmt, const std::string& cmd) const;
 
     /**
-     * \brief Prepare a statement
-     * \param stmt Sqlite statement
-     * \param cmd Command to prepare inside the statement
-     * \return true in case of success
+     * @brief Prepare a statement
+     * @param stmt Sqlite statement
+     * @param cmd Command to prepare inside the statement
+     * @return true in case of success
      */
     bool SpinPrepare(sqlite3_stmt** stmt, const std::string& cmd) const;
 
     /**
-     * \brief Bind a value to a sqlite statement
-     * \param stmt Sqlite statement
-     * \param pos Position of the bind argument inside the statement
-     * \param value Value to bind
-     * \return true on success, false otherwise
+     * @brief Bind a value to a sqlite statement
+     * @param stmt Sqlite statement
+     * @param pos Position of the bind argument inside the statement
+     * @param value Value to bind
+     * @return true on success, false otherwise
      */
     template <typename T>
     bool Bind(sqlite3_stmt* stmt, int pos, const T& value) const;
 
     /**
-     * \brief Retrieve a value from an executed statement
-     * \param stmt sqlite statement
-     * \param pos Column position
-     * \return the value from the executed statement
+     * @brief Retrieve a value from an executed statement
+     * @param stmt sqlite statement
+     * @param pos Column position
+     * @return the value from the executed statement
      */
     template <typename T>
     T RetrieveColumn(sqlite3_stmt* stmt, int pos) const;
 
     /**
-     * \brief Execute a step operation on a statement until the result is ok or an error
+     * @brief Execute a step operation on a statement until the result is ok or an error
      *
      * Ignores concurrency errors; it will retry instead of failing.
      *
-     * \param stmt Statement
-     * \return Sqlite error core
+     * @param stmt Statement
+     * @return Sqlite error core
      */
 
     static int SpinStep(sqlite3_stmt* stmt);
     /**
-     * \brief Finalize a statement until the result is ok or an error
+     * @brief Finalize a statement until the result is ok or an error
      *
      * Ignores concurrency errors; it will retry instead of failing.
      *
-     * \param stmt Statement
-     * \return Sqlite error code
+     * @param stmt Statement
+     * @return Sqlite error code
      */
     static int SpinFinalize(sqlite3_stmt* stmt);
 
     /**
-     * \brief Reset a statement until the result is ok or an error
+     * @brief Reset a statement until the result is ok or an error
      *
      * Ignores concurrency errors: it will retry instead of failing.
-     * \param stmt Statement
-     * \return the return code of reset
+     * @param stmt Statement
+     * @return the return code of reset
      */
     static int SpinReset(sqlite3_stmt* stmt);
 
   protected:
     /**
-     * \brief Execute a command, waiting on a mutex
-     * \param db Database
-     * \param cmd Command
-     * \return Sqlite error code
+     * @brief Execute a command, waiting on a mutex
+     * @param db Database
+     * @param cmd Command
+     * @return Sqlite error code
      */
     int WaitExec(sqlite3* db, const std::string& cmd) const;
 
     /**
-     * \brief Execute a statement, waiting on a mutex
-     * \param db Database
-     * \param stmt Statement
-     * \return Sqlite error code
+     * @brief Execute a statement, waiting on a mutex
+     * @param db Database
+     * @param stmt Statement
+     * @return Sqlite error code
      */
     int WaitExec(sqlite3* db, sqlite3_stmt* stmt) const;
 
     /**
-     * \brief Prepare a statement, waiting on a mutex
-     * \param db Database
-     * \param stmt Statement
-     * \param cmd Command to prepare
-     * \return Sqlite error code
+     * @brief Prepare a statement, waiting on a mutex
+     * @param db Database
+     * @param stmt Statement
+     * @param cmd Command to prepare
+     * @return Sqlite error code
      */
     int WaitPrepare(sqlite3* db, sqlite3_stmt** stmt, const std::string& cmd) const;
 
     /**
-     * \brief Execute a command ignoring concurrency problems, retrying instead
-     * \param db Database
-     * \param cmd Command
-     * \return Sqlite error code
+     * @brief Execute a command ignoring concurrency problems, retrying instead
+     * @param db Database
+     * @param cmd Command
+     * @return Sqlite error code
      */
     static int SpinExec(sqlite3* db, const std::string& cmd);
 
     /**
-     * \brief Execute a Prepared Statement Object ignoring concurrency problems, retrying instead
-     * \param db Database
-     * \param stmt Prepared Statement Object
-     * \return Sqlite error code
+     * @brief Execute a Prepared Statement Object ignoring concurrency problems, retrying instead
+     * @param db Database
+     * @param stmt Prepared Statement Object
+     * @return Sqlite error code
      */
     static int SpinExec(sqlite3* db, sqlite3_stmt* stmt);
 
     /**
-     * \brief Preparing a command ignoring concurrency problems, retrying instead
-     * \param db Database
-     * \param stmt Statement
-     * \param cmd Command to prepare
-     * \return Sqlite error code
+     * @brief Preparing a command ignoring concurrency problems, retrying instead
+     * @param db Database
+     * @param stmt Statement
+     * @param cmd Command to prepare
+     * @return Sqlite error code
      */
     static int SpinPrepare(sqlite3* db, sqlite3_stmt** stmt, const std::string& cmd);
 
     /**
-     * \brief Fail, printing an error message from sqlite
-     * \param db Database
-     * \param cmd Command
+     * @brief Fail, printing an error message from sqlite
+     * @param db Database
+     * @param cmd Command
      */
     [[noreturn]] static void Error(sqlite3* db, const std::string& cmd);
 
     /**
-     * \brief Check any error in the db
-     * \param db Database
-     * \param rc Sqlite return code
-     * \param cmd Command
-     * \param hardExit if true, will exit the program
-     * \return true in case of error, false otherwise
+     * @brief Check any error in the db
+     * @param db Database
+     * @param rc Sqlite return code
+     * @param cmd Command
+     * @param hardExit if true, will exit the program
+     * @return true in case of error, false otherwise
      */
     static bool CheckError(sqlite3* db, int rc, const std::string& cmd, bool hardExit);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/stats.h ns-3.44/src/stats/model/stats.h
--- ns-3.43/src/stats/model/stats.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/stats.h	2025-03-09 16:55:49.703372200 -0700
@@ -12,7 +12,7 @@
 // Header file used only to define the stats group in Doxygen
 
 /**
- * \defgroup stats Statistics
+ * @defgroup stats Statistics
  *
  * The statistics module includes some useful features to ease data collection from experiments.
  * In particular the following features are included:
@@ -28,16 +28,16 @@
  */
 
 /**
- * \ingroup stats
- * \defgroup aggregator Data Aggregators
+ * @ingroup stats
+ * @defgroup aggregator Data Aggregators
  *
  * Data aggregators are classes used to collect data and produce output
  * specialized for various purpose, e.g., Gnuplot, file output, etc.
  */
 
 /**
- * \ingroup stats
- * \defgroup probes Probes
+ * @ingroup stats
+ * @defgroup probes Probes
  *
  * Probes are used to probe an underlying ns3 TraceSource exporting
  * its value.  This probe usually exports a trace source "Output".
@@ -48,25 +48,25 @@
  */
 
 /**
- * \ingroup stats
- * \defgroup gnuplot Gnuplot
+ * @ingroup stats
+ * @defgroup gnuplot Gnuplot
  *
  * Classes in Gnuplot group are used to collect and prepare and output data
  * for subsequent processing by Gnuplot.
  */
 
 /**
- * \ingroup stats
- * \defgroup dataoutput Data Output
+ * @ingroup stats
+ * @defgroup dataoutput Data Output
  *
  * Classes in Data Output group are used to collect and prepare and output data
  * for subsequent output in a specific format, e.g., Omnet++, SQLite, etc.
  */
 
 /**
- * \ingroup stats
- * \ingroup tests
- * \defgroup stats-tests Statistics module tests
+ * @ingroup stats
+ * @ingroup tests
+ * @defgroup stats-tests Statistics module tests
  */
 
 #endif /* STATS_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/time-data-calculators.h ns-3.44/src/stats/model/time-data-calculators.h
--- ns-3.43/src/stats/model/time-data-calculators.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/time-data-calculators.h	2025-03-09 16:55:49.703372200 -0700
@@ -20,7 +20,7 @@
 //------------------------------------------------------------
 //--------------------------------------------
 /**
- * \ingroup stats
+ * @ingroup stats
  *
  * Unfortunately, templating the base MinMaxAvgTotalCalculator to
  * operate over Time values isn't straightforward.  The main issues
@@ -36,19 +36,19 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Updates all variables of TimeMinMaxAvgTotalCalculator
-     * \param i value of type Time to use for updating the calculator
+     * @param i value of type Time to use for updating the calculator
      */
     void Update(const Time i);
 
     /**
      * Outputs data based on the provided callback
-     * \param callback
+     * @param callback
      */
     void Output(DataOutputCallback& callback) const override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/time-probe.h ns-3.44/src/stats/model/time-probe.h
--- ns-3.43/src/stats/model/time-probe.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/time-probe.h	2025-03-09 16:55:49.703372200 -0700
@@ -25,7 +25,7 @@
 {
 
 /**
- * \ingroup probes
+ * @ingroup probes
  *
  * This class is designed to probe an underlying ns3 TraceSource exporting
  * an ns3::Time.  This probe exports a trace source "Output" of type
@@ -39,44 +39,44 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TimeProbe();
     ~TimeProbe() override;
 
     /**
-     * \return the most recent value (units of seconds)
+     * @return the most recent value (units of seconds)
      */
     double GetValue() const;
 
     /**
-     * \param value set the traced Time to a new value
+     * @param value set the traced Time to a new value
      */
     void SetValue(Time value);
 
     /**
-     * \brief Set a probe value by its name in the Config system
+     * @brief Set a probe value by its name in the Config system
      *
-     * \param path Config path to access the probe
-     * \param value set the traced Time to a new value
+     * @param path Config path to access the probe
+     * @param value set the traced Time to a new value
      */
     static void SetValueByPath(std::string path, Time value);
 
     /**
-     * \brief connect to a trace source attribute provided by a given object
+     * @brief connect to a trace source attribute provided by a given object
      *
-     * \param traceSource the name of the attribute TraceSource to connect to
-     * \param obj ns3::Object to connect to
-     * \return true if the trace source was successfully connected
+     * @param traceSource the name of the attribute TraceSource to connect to
+     * @param obj ns3::Object to connect to
+     * @return true if the trace source was successfully connected
      */
     bool ConnectByObject(std::string traceSource, Ptr<Object> obj) override;
 
     /**
-     * \brief connect to a trace source provided by a config path
+     * @brief connect to a trace source provided by a config path
      *
-     * \param path Config path to bind to
+     * @param path Config path to bind to
      *
      * Note, if an invalid path is provided, the probe will not be connected
      * to anything.
@@ -85,10 +85,10 @@
 
   private:
     /**
-     * \brief Method to connect to an underlying ns3::TraceSource of type Time
+     * @brief Method to connect to an underlying ns3::TraceSource of type Time
      *
-     * \param oldData previous value of the Time
-     * \param newData new value of the Time
+     * @param oldData previous value of the Time
+     * @param newData new value of the Time
      */
     void TraceSink(Time oldData, Time newData);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/time-series-adaptor.h ns-3.44/src/stats/model/time-series-adaptor.h
--- ns-3.43/src/stats/model/time-series-adaptor.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/time-series-adaptor.h	2025-03-09 16:55:49.703372200 -0700
@@ -19,9 +19,9 @@
 {
 
 /**
- * \ingroup aggregator
+ * @ingroup aggregator
  *
- * \brief Takes probed values of different types and outputs the
+ * @brief Takes probed values of different types and outputs the
  * current time plus the value with both converted to doubles.
  *
  * The role of the TimeSeriesAdaptor class is that of an adaptor
@@ -39,8 +39,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -48,10 +48,10 @@
     ~TimeSeriesAdaptor() override;
 
     /**
-     * \brief Trace sink for receiving data from double valued trace
+     * @brief Trace sink for receiving data from double valued trace
      * sources.
-     * \param oldData the original value.
-     * \param newData the new value.
+     * @param oldData the original value.
+     * @param newData the new value.
      *
      * This method serves as a trace sink to double valued trace
      * sources.
@@ -59,10 +59,10 @@
     void TraceSinkDouble(double oldData, double newData);
 
     /**
-     * \brief Trace sink for receiving data from bool valued trace
+     * @brief Trace sink for receiving data from bool valued trace
      * sources.
-     * \param oldData the original value.
-     * \param newData the new value.
+     * @param oldData the original value.
+     * @param newData the new value.
      *
      * This method serves as a trace sink to bool valued trace
      * sources.
@@ -70,10 +70,10 @@
     void TraceSinkBoolean(bool oldData, bool newData);
 
     /**
-     * \brief Trace sink for receiving data from uint8_t valued trace
+     * @brief Trace sink for receiving data from uint8_t valued trace
      * sources.
-     * \param oldData the original value.
-     * \param newData the new value.
+     * @param oldData the original value.
+     * @param newData the new value.
      *
      * This method serves as a trace sink to uint8_t valued trace
      * sources.
@@ -81,10 +81,10 @@
     void TraceSinkUinteger8(uint8_t oldData, uint8_t newData);
 
     /**
-     * \brief Trace sink for receiving data from uint16_t valued trace
+     * @brief Trace sink for receiving data from uint16_t valued trace
      * sources.
-     * \param oldData the original value.
-     * \param newData the new value.
+     * @param oldData the original value.
+     * @param newData the new value.
      *
      * This method serves as a trace sink to uint16_t valued trace
      * sources.
@@ -92,10 +92,10 @@
     void TraceSinkUinteger16(uint16_t oldData, uint16_t newData);
 
     /**
-     * \brief Trace sink for receiving data from uint32_t valued trace
+     * @brief Trace sink for receiving data from uint32_t valued trace
      * sources.
-     * \param oldData the original value.
-     * \param newData the new value.
+     * @param oldData the original value.
+     * @param newData the new value.
      *
      * This method serves as a trace sink to uint32_t valued trace
      * sources.
@@ -105,8 +105,8 @@
     /**
      * TracedCallback signature for output trace.
      *
-     * \param [in] now The current time, in seconds.
-     * \param [in] data The new data value.
+     * @param [in] now The current time, in seconds.
+     * @param [in] data The new data value.
      */
     typedef void (*OutputTracedCallback)(const double now, const double data);
 
